Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

# Class InterestRecord1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_04.InterestRecord1

public class InterestRecord1 extends Object

Java class for InterestRecord1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InterestRecord1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}ActiveOrHistoricCurrencyAndAmount"/>
             <element name="CdtDbtInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}CreditDebitCode"/>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}InterestType1Choice" minOccurs="0"/>
             <element name="Rate" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Rate3" minOccurs="0"/>
             <element name="FrToDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}DateTimePeriodDetails" minOccurs="0"/>
             <element name="Rsn" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text" minOccurs="0"/>
             <element name="Tax" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}TaxCharges2" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ActiveOrHistoricCurrencyAndAmount`
`amt`
`protected CreditDebitCode`
`cdtDbtInd`
`protected DateTimePeriodDetails`
`frToDt`
`protected Rate3`
`rate`
`protected String`
`rsn`
`protected TaxCharges2`
`tax`
`protected InterestType1Choice`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`InterestRecord1()`

## Method Summary

Modifier and Type
Method
Description
`ActiveOrHistoricCurrencyAndAmount`
`getAmt()`
Gets the value of the amt property.
`CreditDebitCode`
`getCdtDbtInd()`
Gets the value of the cdtDbtInd property.
`DateTimePeriodDetails`
`getFrToDt()`
Gets the value of the frToDt property.
`Rate3`
`getRate()`
Gets the value of the rate property.
`String`
`getRsn()`
Gets the value of the rsn property.
`TaxCharges2`
`getTax()`
Gets the value of the tax property.
`InterestType1Choice`
`getTp()`
Gets the value of the tp property.
`void`
`setAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the amt property.
`void`
`setCdtDbtInd(CreditDebitCode value)`
Sets the value of the cdtDbtInd property.
`void`
`setFrToDt(DateTimePeriodDetails value)`
Sets the value of the frToDt property.
`void`
`setRate(Rate3 value)`
Sets the value of the rate property.
`void`
`setRsn(String value)`
Sets the value of the rsn property.
`void`
`setTax(TaxCharges2 value)`
Sets the value of the tax property.
`void`
`setTp(InterestType1Choice value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### amt

protected ActiveOrHistoricCurrencyAndAmount amt

### cdtDbtInd

protected CreditDebitCode cdtDbtInd

### tp

protected InterestType1Choice tp

### rate

protected Rate3 rate

### frToDt

protected DateTimePeriodDetails frToDt

### rsn

protected String rsn

### tax

protected TaxCharges2 tax

## Constructor Details

### InterestRecord1

public InterestRecord1()

## Method Details

### getAmt

public ActiveOrHistoricCurrencyAndAmount getAmt()
Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setAmt

public void setAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

### getCdtDbtInd

public CreditDebitCode getCdtDbtInd()
Gets the value of the cdtDbtInd property.

Returns:
  possible object is `CreditDebitCode`

### setCdtDbtInd

public void setCdtDbtInd(CreditDebitCode value)
Sets the value of the cdtDbtInd property.

Parameters:
  `value` - allowed object is `CreditDebitCode`

### getTp

public InterestType1Choice getTp()
Gets the value of the tp property.

Returns:
  possible object is `InterestType1Choice`

### setTp

public void setTp(InterestType1Choice value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `InterestType1Choice`

### getRate

public Rate3 getRate()
Gets the value of the rate property.

Returns:
  possible object is `Rate3`

### setRate

public void setRate(Rate3 value)
Sets the value of the rate property.

Parameters:
  `value` - allowed object is `Rate3`

### getFrToDt

public DateTimePeriodDetails getFrToDt()
Gets the value of the frToDt property.

Returns:
  possible object is `DateTimePeriodDetails`

### setFrToDt

public void setFrToDt(DateTimePeriodDetails value)
Sets the value of the frToDt property.

Parameters:
  `value` - allowed object is `DateTimePeriodDetails`

### getRsn

public String getRsn()
Gets the value of the rsn property.

Returns:
  possible object is `String`

### setRsn

public void setRsn(String value)
Sets the value of the rsn property.

Parameters:
  `value` - allowed object is `String`

### getTax

public TaxCharges2 getTax()
Gets the value of the tax property.

Returns:
  possible object is `TaxCharges2`

### setTax

public void setTax(TaxCharges2 value)
Sets the value of the tax property.

Parameters:
  `value` - allowed object is `TaxCharges2`